Skip to main content
`Ctrl`+`K`

# KSPComputeOperatorsFn

A prototype of a `KSP` evaluation function that would be passed to `KSPSetComputeOperators()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode(KSPComputeOperatorsFn)(KSP ksp, Mat A, Mat P, void *ctx);

## Calling Sequence

- ksp - `KSP` context

- A - the operator that defines the linear system

- P - an operator from which to build the preconditioner (often the same as `A`)

- ctx - [optional] user-defined function context

## See Also

SNES: Nonlinear Solvers, `KSP`, `KSPSetComputeRHS()`, `SNESGetFunction()`, `KSPComputeRHSFn`, `KSPComputeInitialGuessFn`

## Level

beginner

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages